Bug 981594 - "oo-add-alias" command doesn't work
"oo-add-alias" command doesn't work
Status: CLOSED CURRENTRELEASE
Product: OpenShift Online
Classification: Red Hat
Component: Containers (Show other bugs)
2.x
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Rob Millner
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-05 04:42 EDT by Wei Sun
Modified: 2015-05-14 19:23 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-22 11:21:36 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Wei Sun 2013-07-05 04:42:23 EDT
Description of problem:
Create an app,and log in instance to run `oo-add-alias` to add alias,but it doesn't work.It returns "uninitialized constant ApplicationContainer"

Version-Release number of selected component (if applicable):
devenv_3450

How reproducible:
Always

Steps to Reproduce:
1.Create an app
2.Log in instance and run `oo-add-alias` command
3.

Actual results:
[root@ip-10-118-162-77 ~]# oo-add-alias --with-container-uuid 675143605735532311609344 --with-container-name zendt --with-namespace wsun3dev34501 --with-alias-name zendt.com.cn
uninitialized constant ApplicationContainer


Expected results:
Can add alias successfully

Additional info:
Comment 1 openshift-github-bot 2013-07-09 12:56:38 EDT
Commit pushed to master at https://github.com/openshift/origin-server

https://github.com/openshift/origin-server/commit/008d90235027e5fa5e18f373193f6d5eca07d822
Bug 981594 - ApplicationContainer used as an argument needed full module paths.
Comment 2 Wei Sun 2013-07-09 22:48:36 EDT
Verified in devenv_3471

Result:
[root@ip-10-141-152-11 ~]# oo-add-alias --with-container-uuid 5629a36ee90a11e2b3e722000a8d980b --with-container-name phpt --with-namespace sun3dev3471 --with-alias-name phpt.com.cn

And can access the app via alias.

Note You need to log in before you can comment on or make changes to this bug.